<div class="col-8 offset-2 mt-3">
  <h2>{{pageTitle}}</h2>
  <hr>
  <form #addVideoForm="ngForm" (ngSubmit)="onSubmit(addVideoForm)" class="col-8">
    <div class="alert alert-success" *ngIf="status=='success'">{{message}}</div>
    <div class="alert alert-error" *ngIf="status=='error'">{{message}}</div>
    <div class="form-group">
      <label for="title">Título</label>
      <input type="text" id="title" name="title" #title="ngModel" [(ngModel)]="video.title" class="form-control" required>
      <span class="invalid-feedback d-block" *ngIf="title.invalid && title.touched">El título no es válido</span>
    </div>
    <div class="form-group">
      <label for="description">Descripción</label>
      <textarea id="description" name="description" #description="ngModel" [(ngModel)]="video.description"
        class="form-control">
      </textarea>
    </div>
    <div class="form-group">
        <label for="url">URL</label>
        <input type="url" id="url" name="url" #url="ngModel" [(ngModel)]="video.url" class="form-control" required>
        <span class="invalid-feedback d-block" *ngIf="url.invalid && url.touched">La url no es válida</span>
    </div>
    <div class="form-group">
      <input type="submit" class="btn btn-success" value="{{pageTitle}}" [disabled]="addVideoForm.form.invalid">
    </div>
  </form>

</div>